# <img src="https://www.koozali.org/images/koozali/Logo/Png/Koozali_logo_2016.png" width="25%" vertical="auto" style="vertical-align:bottom"> perl-Test-MockRandom

SMEServer Koozali local git repo for perl-Test-MockRandom  

## Documentation
<br />https://metacpan.org/pod/perl-Test-MockRandom

## Bugzilla
CPAN bug report are [here](https://rt.cpan.org/Public/Dist/Display.html?Name=perl-Test-MockRandom)

Show list of Koozali outstanding bugs: [here](https://bugs.koozali.org/buglist.cgi?component=perl-Test-MockRandom&product=SME%20Server%2011.X&query_format=advanced&limit=0&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&bug_status=CONFIRMED)

## Description

This perhaps ridiculous-seeming module was created to test routines that
manipulate random numbers by providing a known output from rand. Given a
list of seeds with srand, it will return each in turn. After seeded
random numbers are exhausted, it will always return 0. Seed numbers must
be of a form that meets the expected output from rand as called with no
arguments -- i.e. they must be between 0 (inclusive) and 1 (exclusive).
In order to facilitate generating and testing a nearly-one number, this
module exports the function oneish, which returns a number just
fractionally less than one.


